Bug 123452 - In some cases errors are not marked in editor
In some cases errors are not marked in editor
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P2 (vote)
: TBD
Assigned To: Petr Pisl
issues@php
: PLAN
Depends on:
Blocks: 123432
  Show dependency treegraph
 
Reported: 2007-12-05 12:34 UTC by Andrew Korostelev
Modified: 2008-08-12 12:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2007-12-05 12:34:00 UTC
the feature allows to see errors discovered by PHP parser. Parsing is started in the background when the user stops
typing. Error messages are shown as error annotations.

Error detection In 6.0, provided by Schlieman, was not informative and useful.
It also doesn't allow extensions like warnings on undesirable language structures.

should be replaced by our own error detection mechanism
Comment 1 Alexei Mokeev 2008-01-14 08:15:53 UTC
It would be good to have one-pager with highlights of what we are going to have for 6.1.
Den, please take care about and link the issue to it.
Comment 2 Petr Pisl 2008-04-09 09:43:30 UTC
I'm marking this as fixed. Now we use different parser, which should solve the bulk of these problems. If we see a case
of such behavior, we should entered new issue case by case.
Comment 3 Mikhail Matveev 2008-08-12 12:47:46 UTC
Now error marking in editor is fine


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo